hpp-python: pyhpp::manipulation::EndEffectorTrajectory Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
pyhpp::manipulation::EndEffectorTrajectory Struct Reference

`#include <pyhpp/manipulation/path-planner.hh>`

Inheritance diagram for pyhpp::manipulation::EndEffectorTrajectory:
[legend]
Collaboration diagram for pyhpp::manipulation::EndEffectorTrajectory:
[legend]

## Public Member Functions
| EndEffectorTrajectory (const pyhpp::core::Problem &problem)
| EndEffectorTrajectory (const pyhpp::core::Problem &problem, const RoadmapPtr_t &roadmap)
hpp::manipulation::pathPlanner::EndEffectorTrajectoryPtr_t | eetObj () const
int | nRandomConfig () const
void | nRandomConfig (int n)
int | nDiscreteSteps () const
void | nDiscreteSteps (int n)
void | checkFeasibilityOnly (bool enable)
bool | checkFeasibilityOnly () const
Public Member Functions inherited from hpp::core::PathPlanner
virtual | ~PathPlanner ()
virtual const RoadmapPtr_t & | roadmap () const
ProblemConstPtr_t | problem () const
virtual void | startSolve ()
virtual PathVectorPtr_t | solve ()
virtual void | tryConnectInitAndGoals ()
virtual void | oneStep ()=0
virtual PathVectorPtr_t | finishSolve (const PathVectorPtr_t &path)
void | interrupt ()
void | maxIterations (const unsigned long int &n)
unsigned long int | maxIterations () const
void | timeOut (const double &timeOut)
double | timeOut () const
void | stopWhenProblemIsSolved (bool enable)
PathVectorPtr_t | computePath () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::core::PathPlanner
| PathPlanner (const ProblemConstPtr_t &problem)
| PathPlanner (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
void | init (const PathPlannerWkPtr_t &weak)

## Constructor & Destructor Documentation

## ◆ EndEffectorTrajectory() [1/2]

pyhpp::manipulation::EndEffectorTrajectory::EndEffectorTrajectory | ( | const pyhpp::core::Problem & | problem | ) |

## ◆ EndEffectorTrajectory() [2/2]

pyhpp::manipulation::EndEffectorTrajectory::EndEffectorTrajectory | ( | const pyhpp::core::Problem & | problem,
|  | const RoadmapPtr_t & | roadmap )

## Member Function Documentation

## ◆ checkFeasibilityOnly() [1/2]

bool pyhpp::manipulation::EndEffectorTrajectory::checkFeasibilityOnly | ( |  | ) | const

## ◆ checkFeasibilityOnly() [2/2]

void pyhpp::manipulation::EndEffectorTrajectory::checkFeasibilityOnly | ( | bool | enable | ) |

## ◆ eetObj()

hpp::manipulation::pathPlanner::EndEffectorTrajectoryPtr_t pyhpp::manipulation::EndEffectorTrajectory::eetObj | ( |  | ) | const

## ◆ nDiscreteSteps() [1/2]

int pyhpp::manipulation::EndEffectorTrajectory::nDiscreteSteps | ( |  | ) | const

## ◆ nDiscreteSteps() [2/2]

void pyhpp::manipulation::EndEffectorTrajectory::nDiscreteSteps | ( | int | n | ) |

## ◆ nRandomConfig() [1/2]

int pyhpp::manipulation::EndEffectorTrajectory::nRandomConfig | ( |  | ) | const

## ◆ nRandomConfig() [2/2]

void pyhpp::manipulation::EndEffectorTrajectory::nRandomConfig | ( | int | n | ) |

The documentation for this struct was generated from the following files:

- src/pyhpp/manipulation/path-planner.hh
- src/pyhpp/manipulation/path-planner.cc